Page MenuHomePhabricator

Simplify $wgResourceLoaderMaxage
Closed, ResolvedPublic

Description

From

Current
$wgResourceLoaderMaxage = [
	'versioned' => [
		'server' => 30 * 24 * 60 * 60, // 30 days
		'client' => 30 * 24 * 60 * 60, // 30 days
	],
	'unversioned' => [
		'server' => 5 * 60, // 5 minutes
		'client' => 5 * 60, // 5 minutes
	],
];
Proposed
$wgResourceLoaderMaxage = [
	'versioned' => 30 * 24 * 60 * 60, // 30 days
	'unversioned' => 5 * 60, // 5 minutes
];

Details

Related Gerrit Patches:

Event Timeline

Krinkle created this task.Oct 12 2019, 2:17 AM
Restricted Application added a project: Performance-Team. · View Herald TranscriptOct 12 2019, 2:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 542641 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] Remove unused wmgReduceStartupExpiry logic in CommonSettings.php

https://gerrit.wikimedia.org/r/542641

Change 542642 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] Remove wmgReduceStartupExpiry (no longer used)

https://gerrit.wikimedia.org/r/542642

Krinkle edited projects, added patch-welcome; removed Technical-Debt.
Krinkle added a project: good first task.

Change 542641 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove unused wmgReduceStartupExpiry logic in CommonSettings.php

https://gerrit.wikimedia.org/r/542641

Change 542738 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Simplify $wgResourceLoaderMaxage

https://gerrit.wikimedia.org/r/542738

Change 542642 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove wmgReduceStartupExpiry (no longer used)

https://gerrit.wikimedia.org/r/542642

Krinkle assigned this task to Ammarpad.Oct 19 2019, 7:35 PM
Krinkle triaged this task as Medium priority.
Krinkle moved this task from Inbox to Accepted Enhancement on the MediaWiki-ResourceLoader board.

Change 542738 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Simplify $wgResourceLoaderMaxage config

https://gerrit.wikimedia.org/r/542738

@Krinkle Is there anything else needed here?

Krinkle closed this task as Resolved.Oct 30 2019, 1:32 PM

That was it. Thank you.